Neos:
  ContentRepository:
    contentDimensions:
      language:
        label: 'Language'
        icon: 'icon-language'
        default: 'de'
        defaultPreset: 'de'
        presets:
          de:
            label: 'Deutsch'
            values: ['de']
            uriSegment: ''
          # en:
          #   label: 'English'
          #   values: ['en']
          #   uriSegment: 'en'
          # fr:
          #   label: 'Français'
          #   values: ['fr']
          #   uriSegment: 'fr'
          # es:
          #   label: 'Español'
          #   values: ['es']
          #   uriSegment: 'es'
          # it:
          #   label: 'Italiano'
          #   values: ['it']
          #   uriSegment: 'it'

  Flow:
    error:
      exceptionHandler:
        renderingGroups:
          notFoundExceptions:
            matchingStatusCodes: [ 403, 404, 410 ]

    mvc:
      routes:
        'Neos.Neos':
          variables:
            defaultUriSuffix: ''

  Neos:
    userInterface:
      translation:
        autoInclude:
          'Newland.CityTheme':
            - 'NodeTypes/*'
            - 'Views/*'
      navigateComponent:
        nodeTree:
          # number of levels inside the node tree which shall be loaded eagerly, at start.
          # if you have lots of nodes you should maybe reduce this number of elements.
          loadingDepth: 1
